#
# Makefile.am
#

SUFFIXES = .m .c

lib_LTLIBRARIES = libcoconut_gtk.la

CC=@CC@
OBJC=@OBJC@

INCLUDES = -I$(top_srcdir) $(GTK_CFLAGS) $(XML_CFLAGS) $(POPT_CFLAGS)

libcoconut_gtk_la_LDFLAGS = \
  -version-info $(VERSION_INFO) \
  -dynamic

libcoconut_gtk_la_LIBADD = $(GTK_LIBS) $(XML_LIBS) $(POPT_LIBS)

libcoconut_gtkincludedir = $(includedir)/coconut/gtk

libcoconut_gtkinclude_HEADERS = \
	carrow.h \
	cbin.h \
	cbutton.h \
	ccalendar.h \
	ccheckbutton.h \
	ccontainer.h \
	ceventtbl.h \
	cframe.h \
	cguiparser.h \
	cguisystem.h \
	clabel.h \
	cpadding.h \
	cradiobutton.h \
	cseparator.h \
	ctextview.h \
	cwidget.h \
	cwindow.h \
	devent.h \
	dgtkxml.h \
	pguiparser.h \
	pwidget.h \
	tgtk.h

libcoconut_gtk_la_SOURCES = \
	carrow.m \
	cbin.m \
	cbutton.m \
	ccalendar.m \
	ccheckbutton.m \
	ccontainer.m \
	ceventtbl.m \
	cframe.m \
	cguiparser.m \
	cguisystem.m \
	clabel.m \
	cpadding.m \
	cradiobutton.m \
	cseparator.m \
	ctextview.m \
	cwidget.m \
	cwindow.m

